## gjay 0.2.8.3

=== Makefile ===
PREFIX = /usr/local
CC = gcc
LINK = $(CC)
CFLAGS = -g -Wall `pkg-config --cflags gtk+-2.0`
LFLAGS = `pkg-config --libs gtk+-2.0` -lxmms -lgsl -lgslcblas -lm -lpthread
TARGET = gjay

HEADERS = \
	gjay.h \
	songs.h \
	prefs.h \
	ui.h \
	rgbhsv.h \
	analysis.h \
	playlist.h \
	ipc.h \
	constants.h \
	vorbis.h \
	mp3.h 
OBJECTS = \
	gjay.o \
	ipc.o \
	prefs.o \
	songs.o \
	rgbhsv.o \
	ui.o \
	ui_about_view.o \
	ui_explore_view.o \
	ui_prefs_view.o \
	ui_selection_view.o \
	ui_playlist_view.o \
	ui_colorwheel.o \
	ui_colorbox.o \
	ui_menubar.o \
	gjay_xmms.o \
	analysis.o \
	playlist.o \
	vorbis.o \
	mp3.o


INSTALL = /usr/bin/install -o root -g root -m

all: $(TARGET) 

%.o: %.c $(HEADERS)
	$(CC) -c $(CFLAGS) -o $@ $<


$(TARGET): $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS)

doc: doc/gjay.1.gz

doc/gjay.1.gz: doc/gjay.1
	gzip -9 < doc/gjay.1 > doc/gjay.1.gz

install: $(TARGET) doc
	$(INSTALL) 755    gjay $(PREFIX)/bin/gjay 
	$(INSTALL) 644    icons/*.png $(PREFIX)/share/gjay/icons/
	$(INSTALL) 755 -d $(PREFIX)/share/man/man1
	$(INSTALL) 644    doc/gjay.1.gz $(PREFIX)/share/man/man1/gjay.1.gz

clean:
	-rm -f *.a *.o *~ data/*~ core $(TARGET) doc/*.gz \#*

## gjay 0.3.1

=== debian/changelog ===
gjay (0.3.1-1) unstable; urgency=low

  * New upstream release
    - Shell quote the filenames Closes: #573554

 -- Craig Small <csmall@debian.org>  Fri, 09 Apr 2010 21:45:39 +1000

gjay (0.3.0-1) unstable; urgency=low

  * New upstream and Debian maintainer Closes: #565578

 -- Craig Small <csmall@debian.org>  Sun, 07 Mar 2010 21:41:36 +1100

gjay (0.2.8.3-5) unstable; urgency=low

  * Acknowledge NMU by Nathanael Nerode. Also thanks to Andreas Jochens for
    the patch (closes: Bug#286780).
  * Converted package to use dpatch.
  * Integrate patches by Lauri Alanko to fix analysis on amd64, and a buffer
    overrun (closes: #361056).
  * Push Standards-Version to 3.7.2; no changes needed.
  * Push DH compatibility to 5.

 -- martin f. krafft <madduck@debian.org>  Tue, 11 Jul 2006 23:12:56 +0200

gjay (0.2.8.3-4.1) unstable; urgency=low

  * Non-maintainer upload at request of maintainer.
  * Integrate patch by Andreas Jochens to build with gcc 4.0 (closes: Bug#286780).

 -- Nathanael Nerode <neroden@gcc.gnu.org>  Sun, 12 Mar 2006 17:06:32 -0500

gjay (0.2.8.3-4) unstable; urgency=low

  * Integrated patch by Craig Small (thanks!) to fix communication with xmms.
    The patch has been accepted upstream and will be part of the next release.
    (closes: Bug#245608).

 -- martin f. krafft <madduck@debian.org>  Tue, 24 Aug 2004 10:12:15 +0200

gjay (0.2.8.3-3) unstable; urgency=low

  * Applied patch by Andreas Jochens to fix building with gcc 3.4.
    (closes: Bug#258827). Thanks, Andreas!
    (and sorry for forgetting to include this in today's eralier upload.)
  * Changed source code to load libvorbis.so.0 instead of libvorbis.so and
    libvorbisfile.so.3 instead of libvorbisfile.so.
    (closes: Bug#232511).

 -- martin f. krafft <madduck@debian.org>  Fri, 30 Jul 2004 21:30:25 +0200

gjay (0.2.8.3-2) unstable; urgency=low

  * The "lintian-clean" release.
  * Bumped up to 3.6.1.1 standards version.
  * Quoted strings in debian/menu.

 -- martin f. krafft <madduck@debian.org>  Fri, 30 Jul 2004 21:09:29 +0200

gjay (0.2.8.3-1) unstable; urgency=low

  * New upstream release.
    closes: Bug#227122

 -- martin f. krafft <madduck@debian.org>  Thu, 22 Jan 2004 09:32:10 +0100

gjay (0.2.8-1) unstable; urgency=low

  * New upstream release.
    closes: Bug#222195

 -- martin f. krafft <madduck@debian.org>  Fri,  2 Jan 2004 22:22:19 +0100

gjay (0.2.7-1) unstable; urgency=low

  * New upstream release (closes: Bug#187249, #183545, #191794).
  * New upstream removes dependency on libvorbis, it finds it at runtime. Thus
    it is becoming a suggestion rather than a dependency.

 -- martin f. krafft <madduck@debian.org>  Mon, 17 Nov 2003 22:00:08 +0100

gjay (0.2.6-2) unstable; urgency=low

  * Allowed mpg123 to satisfy the dependency of the MP3 player as well, next
    to mpg321 (which is still favoured) (closes: Bug#180151).
  * Changed dependency of libvorbis0 to libvorbis0a.

 -- martin f. krafft <madduck@debian.org>  Sat,  5 Jul 2003 14:38:40 +0200

gjay (0.2.6-1) unstable; urgency=low

  * New upstream release (closes: Bug#176580).

 -- martin f. krafft <madduck@debian.org>  Wed, 29 Jan 2003 21:08:43 +0100

gjay (0.2.5-1) unstable; urgency=low

  * New upstream release.

 -- martin f. krafft <madduck@debian.org>  Sat, 11 Jan 2003 12:26:15 +0100

gjay (0.2.4-1) unstable; urgency=low

  * New upstream release (closes: Bug#167930, Bug#170486, Bug#171905)

 -- martin f. krafft <madduck@debian.org>  Mon, 16 Dec 2002 18:55:39 +0100

gjay (0.2.3-2) unstable; urgency=low

  * Updated the Standards-Version to 3.5.8 to conform with Debian Policy.

 -- martin f. krafft <madduck@debian.org>  Wed,  4 Dec 2002 10:44:43 +0100

gjay (0.2.3-1) unstable; urgency=low

  * New upstream release (closes: Bug#167931)

 -- martin f. krafft <madduck@debian.org>  Wed,  4 Dec 2002 10:06:59 +0100

gjay (0.2.2-1) unstable; urgency=low

  * New upstream release (closes: Bug#170418, Bug#170486)

 -- martin f. krafft <madduck@debian.org>  Mon, 25 Nov 2002 09:03:49 +0100

gjay (0.2-1) unstable; urgency=low

  * New upstream release (see changelog.gz, there were many changes).

 -- martin f. krafft <madduck@debian.org>  Sun, 22 Nov 2002 12:52:21 +0100

gjay (0.1.4-1) unstable; urgency=low

  * New upstream release.

 -- martin f. krafft <madduck@debian.org>  Sun, 22 Sep 2002 21:44:21 +0200

gjay (0.1.3-2) unstable; urgency=low

  * Fixed a problem in debian/rules (binary-indep vs. binary-arch) that
    prevented builds on other architectures than i386. I was stupid.

 -- martin f. krafft <madduck@debian.org>  Thu, 12 Sep 2002 00:17:24 +0200

gjay (0.1.3-1) unstable; urgency=low

  * New upstream release (closes #160481)
  * Excluded the two *.orig files from dh_clean deletion (debian/rules)

 -- martin f. krafft <madduck@debian.org>  Wed, 11 Sep 2002 17:33:32 +0200

gjay (0.1.1-2) unstable; urgency=low

  * Cosmetic changes to the packaging. Nothing more.
  * Added a README.Debian file to hint at the big endian problems.

 -- martin f. krafft <madduck@debian.org>  Sun,  8 Sep 2002 19:29:11 +0200

gjay (0.1.1-1) unstable; urgency=low

  * New upstream release.

 -- martin f. krafft <madduck@debian.org>  Wed,  4 Sep 2002 01:09:37 +0200

gjay (0.1-1) unstable; urgency=low

  * Initial Release.

 -- martin f. krafft <madduck@debian.org>  Wed,  4 Sep 2002 00:02:08 +0200

=== debian/control ===
Source: gjay
Section: sound
Priority: extra
Maintainer: Craig Small <csmall@debian.org>
Build-Depends: debhelper (>= 7), autotools-dev, libgtk2.0-dev, libgsl0-dev, audacious-dev
Standards-Version: 3.8.4
Homepage: http://gjay.sourceforge.net/

Package: gjay
Architecture: any
Depends: mpg321 | mpg123, audacious, ${shlibs:Depends}, ${misc:Depends} 
Suggests: vorbis-tools
Description: An automatic and learning DJ for audacious
 GJay (Gtk+ DJ) generates playlists across a collection of music (mp3, ogg,
 wav) such that each song sounds good following the previous song. Matches are
 based on both automatically analyzed song characteristics (BPM, frequency) as
 well as user-assigned categorizations (song 'color' and rating). It is ideal
 for DJs planning a set list or home users who want a non-random way to wander
 large collections.
 .
 All you have to do is tell GJay the base directory where you store your music
 files. It will then queue every file in the directory for analysis. Analysis
 is done in a separate process. When you quit GJay, you can choose to let this
 analysis process continue in the background. You can also choose to run GJay
 as a daemon, without any user interface.

## gjay 0.3.2

=== debian/changelog ===
gjay (0.3.2-1.2) unstable; urgency=medium

  * Non-maintainer upload.

  [ Bas Couwenberg ]
  * Update build dependencies for GSL 2, change libgsl0-dev to libgsl-dev.
    Closes: #807202

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 26 Jan 2016 12:19:09 +0000

gjay (0.3.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add Build-Depend on libaudclient-dev. (Closes: #759252)
    + Thanks to John Lindgren for it.

 -- Julián Moreno Patiño <julian@debian.org>  Wed, 10 Sep 2014 16:42:50 -0500

gjay (0.3.2-1) unstable; urgency=low

  * New upstream release
    - verbose level explained better in man page Closes: #601614
    - analysis aborts if cannot expand file Closes: #60613
    - Explicitly linked to dl library Closes: #615725
  * As libmpdclient or audacious client not strictly required, moved to
    recommends

 -- Craig Small <csmall@debian.org>  Sun, 03 Apr 2011 16:44:51 +1000

gjay (0.3.1-2) unstable; urgency=low

  * Updated to standards version 3.9.1
  * Added flac and vorbis dev libraries to Build-Depends Closes: 582337
  * Re-arranged mpg321 command line Closes: # 582336

 -- Craig Small <csmall@debian.org>  Mon, 06 Sep 2010 14:00:26 +1000

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,14 @@
 Section: sound
 Priority: extra
 Maintainer: Craig Small <csmall@debian.org>
-Build-Depends: debhelper (>= 7), autotools-dev, libgtk2.0-dev, libgsl0-dev, audacious-dev
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 7), autotools-dev, libgtk2.0-dev, libgsl-dev, audacious-dev, libflac-dev, libvorbis-dev, libmpdclient-dev, libaudclient-dev
+Standards-Version: 3.9.1
 Homepage: http://gjay.sourceforge.net/
 
 Package: gjay
 Architecture: any
-Depends: mpg321 | mpg123, audacious, ${shlibs:Depends}, ${misc:Depends} 
+Depends: mpg321 | mpg123, ${shlibs:Depends}, ${misc:Depends} 
+Recommends: audacious | mpd
 Suggests: vorbis-tools
 Description: An automatic and learning DJ for audacious
  GJay (Gtk+ DJ) generates playlists across a collection of music (mp3, ogg,

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# Uncomment to find new files on sourceforge, for devscripts >= 2.9
http://sf.net/gjay/gjay-(.*)\.tar\.gz
